#!/bin/bash -e

#
# logMessages.sh
#
# Script per la definizione di tutti i messaggi di log
#

# importa le utilities
source $scriptsForBackupLocation/utilities.sh

#
# componenti dei messaggi
#

# nome dello script che genera il messaggio
scriptName=$(basename $0)

# prefisso comune a tutti i messaggi
msgPrefix=" - From $(basename $0) - "

#
# script
#

# nome del chiamante
msgScriptCaller="$msgPrefix Caller:"

# messaggi di ingresso e di uscita dagli script
msgIntoTheScript="$msgPrefix Get in"
msgOutOfTheScript="$msgPrefix Get out"

# messaggio di errore : numero di prametri non corretto
msgIncorrectParameterNumber="$msgPrefix incorrect \
number of parameters.\nIt shoud be:"

#
# container
#

# identificatore del container
msgContainerId="$msgPrefix Container Id: "

# stato corrente del container
msgCurrentContainerStatus="$msgPrefix Current Container status: "

# stato del container duante l'esecuzione del backup
msgContainerStatusDuringBackup="$msgPrefix Container status during \
backup: "

# stato del container nel momento in cui il backup ha inizio
msgContainerStatusAfterBackup="$msgPrefix Container status after \
backup: "

#
# vm
#

# identificatore della vm
msgVmId="$msgPrefix Vm Id: "

# stato corrente della vm
msgCurrentVmStatus="$msgPrefix Current Vm status: "

# stato del container duante l'esecuzione del backup
msgVmStatusDuringBackup="$msgPrefix Vm status during \
backup: "

# stato della vm nel momento in cui il backup ha inizio
msgVmStatusAfterBackup="$msgPrefix Vm status after \
backup: "

#
# File system locale
#

# path del file di log
msgLogFilePath="$msgPrefix Log file path:\n "

# Assenza di un'area dati di servizio
msgNoServiceDataArea="$msgPrefix Not provided service data area"
           
#
# File system remoto
#

# path della directory remota di servizio
msgRemoteServiceDirectoryPath="$msgPrefix Remote service directory:\n "

# path della directory remota di backup
msgRemoteBackupDirectoryPath="$msgPrefix Remote backup directory:\n "

msgMaxNroOfBackupsExceeded="$msgPrefix Max no of backups exceeded"
msgRemovedBackup="$msgPrefix Removed backup: "

#
# Backup names
#

# path del file di backup dell'area dati di servizio
msgDataBackupPath="$msgPrefix Data backup path:\n "

# path del file di backup del container
msgContainerBackupPath="$msgPrefix Container backup path:\n "

# path del file di backup della vm
msgVmBackupPath="$msgPrefix Vm backup path:\n "

#
# Container/Vm backup
#

# Metodo di compressione adottato per il backup del container/vm
msgCompressionMethod="$msgPrefix Compression method:"

# inizio e termine della compressione lzop
msgCompressionStartingTime="$msgPrefix Lzop compression starting"
msgCompressionEndingTime="$msgPrefix Lzop compression ending"

